Subject: Re: [bitcoin-dev] Blockchain verification flag (BIP draft)

From: Gavin Andresen <[email-masked]>
Date: Fri, 4 Dec 2015 12:34:27 -0500

Overall, good idea.

Is there a write-up somewhere describing in detail the 'accidental selfish
mining' problem that this mitigates? I think a link in the BIP to a fuller
description of the problem and how validation-skipping makes it go away
would be helpful.

RE: which bit to use:  the draft versionbits BIP and BIP101 use bit 30; to
avoid confusion, I think it would be better to use bit 0.

I agree with Jannes Faber, behavior with respect to SPV clients should be
to only tell them about fully validated headers. And I also agree that
immediately relaying full-proof-of-work blocks before validation (with an
indication that they haven't been fully validated) is a good idea, but that
discussion didn't reach consensus when I brought it up two years ago (
https://github.com/bitcoin/bitcoin/pull/3580).

-- 
--
Gavin Andresen